跳转到内容

Realistic Vision

集成

模型 id realistic-vision
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/realistic-vision?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.009 9 API 积分 · ≈ ₽0.96 在此页面运行

获取 API 密钥
Open model 文生图 #realism#diffusion

支持 LoRA 和嵌入以及负面提示词的照片级真实感文本生成图像扩散模型

Open model · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述要生成的图像;请尽可能提供详细信息以获得最佳结果。

image_size 默认 {"height":1024,"width...
num_images 默认 1

请求生成的图像数量。

高级 negative_prompt · format · safety_checker_version · request_id · num_inference_steps · guidance_scale · seed · expand_prompt · enable_safety_checker · loras · embeddings
默认 (worst quality, low q...

指定要从图像中排除的细节的负面提示词。

format 默认 jpeg

结果图像的文件格式。

safety_checker_version 默认 v1

在自定义 ViT 安全检查器(`v2`)和 CompVis 检查器(`v1`,默认值)之间进行选择。

默认

用于将响应与生成该响应的请求关联起来的请求标识符。

默认 35

要执行的推理步数。

默认 5

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。

默认 []

选择使用的 LoRA 权重,以列表形式提供。

默认 []

选择使用的嵌入,以列表形式提供。

POST /run/realistic-vision?wait=20 报价 → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/realistic-vision?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Realistic Vision

根据文本 `prompt` 生成逼真图像,并通过 `negative_prompt` 排除不需要的细节。支持 `loras` 和 `embeddings`、6 种预设 `image_size` 选项,以及通过 `num_images` 每次请求生成 1 到 8 张图像。`num_inference_steps` 范围为 1 到 70,`guidance_scale` 范围为 0 到 20。输出格式可以是 jpeg 或 png,`seed` 可使结果可重复。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
描述要生成的图像;请尽可能提供详细信息以获得最佳结果。
negative_prompt可选
类型string
默认值(worst quality, low quality, normal quality, lowres, low details, oversaturated, undersaturated, overexposed, underexposed, grayscale, bw, bad photo, bad photography, bad art:1.4), (watermark, signature, text font, username, error, logo, words, letters, digits, autograph, trademark, name:1.2), (blur, blurry, grainy), morbid, ugly, asymmetrical, mutated malformed, mutilated, poorly lit, bad shadow, draft, cropped, out of frame, cut off, censored, jpeg artifacts, out of focus, glitch, duplicate, (airbrushed, cartoon, anime, semi-realistic, cgi, render, blender, digital art, manga, amateur:1.3), (3D ,3D Game, 3D Game Scene, 3D Character:1.1), (bad hands, bad anatomy, bad body, bad face, bad teeth, bad arms, bad legs, deformities:1.3)
指定要从图像中排除的细节的负面提示词。
image_size可选
类型object
默认值{"height":1024,"width":1024}
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
num_inference_steps可选
类型integer
默认值35
1 – 70
要执行的推理步数。
guidance_scale可选
类型number
默认值5
0 – 20
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
loras可选
类型object[]
默认值[]
选择使用的 LoRA 权重,以列表形式提供。
loras[].force可选
类型boolean
默认值false
是否必须使用嵌入:true 表示强制使用。
loras[].path必填
类型string
LoRA 权重来源,可提供解析为 safetensors 权重的 HF 模型标识符,或通过 URL 或路径定位的 safetensors 文件。
loras[].scale可选
类型number
默认值1
0 – 1
LoRA 权重合并到基础模型前应用的乘数。
embeddings可选
类型object[]
默认值[]
选择使用的嵌入,以列表形式提供。
embeddings[].path必填
类型string
通过 URL 或文件路径指定的嵌入权重。
embeddings[].tokens可选
类型string[]
嵌入 token 列表。省略时会自动命名:嵌入文件中的每个向量依次获得 <s0>、<s1>、... 中的一个 token。
expand_prompt可选
类型boolean
默认值false
提示词扩展;为 true 时启用附加提示词。
num_images可选 num_outputs
类型integer
默认值1
1 – 8
请求生成的图像数量。
seed可选
类型integer | null
用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。
enable_safety_checker可选
类型boolean
默认值true
安全检查器激活状态;true 启用检查。
format可选
类型enum
默认值jpeg
jpegpng
结果图像的文件格式。
safety_checker_version可选
类型enum
默认值v1
v1v2
在自定义 ViT 安全检查器(`v2`)和 CompVis 检查器(`v1`,默认值)之间进行选择。
request_id可选
类型string
默认值
用于将响应与生成该响应的请求关联起来的请求标识符。
必填 规范名称,也可接受

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "realistic-vision",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, width, height, content_type}生成图像的文件信息。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
has_nsfw_concepts
array of boolean指示生成的图像中是否出现 NSFW 概念。
prompt
string图像生成期间使用的提示词。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/realistic-vision.md. 所有模型和指南: https://doitong.com/developers/llms.txt